#!/bin/sh


process_target() {

rc=0
this=`wlookup -ar SentryProfile -o`
if [ $? -eq 0 ]; then
for i in $this
do
  sp_name=`idlattr -tgv $i label Object`
  if [ $sp_name = $1 ]; then
    mana=`idlattr -tgv $i profile_organizer Object`
    if [ $? -eq 0 ]; then
      name=`idlattr -tgv $mana label Object`
    fi
    profile=`idlattr -tgv $i label Object`
 
    #### comment out for wlsmon -s
    ####
    wlsmon -sa $profile > profile.save.$$.sh

    if [ $? -eq 0 ]; then
      grep "'NT_Process' 'NtServices'" profile.save.$$.sh > /dev/null 2>&1
      if [ $? -eq 0 ]; then
        echo "Converting $profile"
        cat profile.save.$$.sh | sed "/NtServices/s/-t/-a '\/B \/E' -t/" > profile.save.$$.sh.b
	mv profile.save.$$.sh.b profile.save.$$.sh
  
        #### comment out for wlsmon -s ....
        ####
        wdel @SentryProfile:"$profile"
        if [ $? -eq 0 ]; then 
          wcrtprf @ProfileManager:$name SentryProfile $profile
          chmod 777 profile.save.$$.sh
          ./profile.save.$$.sh
    	  if [ -f profile.save.$$.sh ]; then
    		rm profile.save.$$.sh
    	  fi
	  rc=1
	  return $rc
        fi
      else
	# exits, but not filled with what we got.
	rc=5	
    	  if [ -f profile.save.$$.sh ]; then
    		rm profile.save.$$.sh
    	  fi
	echo "Do not need to convert $target"
	return $rc
      fi
    fi
    if [ -f profile.save.$$.sh ]; then
    rm profile.save.$$.sh
    fi

fi
done
fi
			echo "Profile $target not found"
return $rc  
}

# USAGE: $0 filename
#        filename specifies a file that contains a list
#        of SentryProfile to process
#
E_USAGE=1
if [ $# -lt 1 ]
then
        echo "Usage: dm_prof_list filename"
        exit $E_USAGE
fi

if [ ! -f $1 ]; then
	echo "File Not Found: $1"	
	exit $E_USAGE
else
	echo ""
	echo "Converting profiles listed in $1"
	this=`cat $1`
	for target in $this
	do
		#
		# is target a real sentryprofile
		#
		process_target $target
			#echo "Profile $target not found"
	done
	echo "Processing complete"
fi
